Subject: bug#7732: ispell-buffer always gives bogus (0) and (1) choices

From: Eli Zaretskii <[email-masked]>
Date: Sat, 25 Dec 2010 11:04:54 +0200

> From: [email-masked]
> Date: Sat, 25 Dec 2010 09:55:36 +0800
> Cc: [email-masked]
> 
> Why can't i/flyspell get the order correctly?
> 
> $ cat file
> transfered
> extention
> $ ispell file
> 
>  0: extension
>  1: extent ion
>  2: extent-ion
> 
> Whereas ispell-buffer always has these bogus (0) and (1) choices:
> 
> $ LANG=C LC_ALL=C HOME=/tmp emacs -nw file
> M-x ispell-buffer
> 
> Affix rules generate and capitalize this word as shown below:
>         transfer+ed
> Use option `i' to accept this spelling and put it in your private dictionary.(0) transfer ed
> (1) transfer-ed  (2) transferred  (3) transferee  (4) transferees  (5) transformed  (6) transversed
> (7) transferee's
> 
> (0) extent ion  (1) extent-ion  (2) extension  (3) extenuation  (4) extensions  (5) extinction
> (6) extortion  (7) extending  (8) extension's  (9) extensional  (:) extenuation's

I cannot reproduce that.  I get the same choices as you show from
ispell outside Emacs, and in the same order.

Are you sure ispell-buffer doesn't use aspell or hunspell instead of
the real ispell?  What are your values of ispell-really-aspell and
ispell-really-hunspell?  In my case, I know that's really ispell that
ispell.el invokes, because I don't have the other two installed.

> By the way, why does
> $ spell file #and ispell too
> not say anything about 'transfered', but in emacs ispell does?

I don't understand the question: you just showed above that ispell
_does_ say something about 'transfered'.

> $ dict transfered
> No definitions found for "transfered", perhaps you mean:
  ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Exactly.